"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createSimulationStore = void 0;
const setup_1 = require("./setup");
const thunks_1 = require("./thunks");
const starfx_1 = require("starfx");
let batchUpdater = thunks_1.thunks.create("update", function* (ctx, next) {
    yield* (0, starfx_1.updateStore)(ctx.payload);
    yield* next();
});
function createSimulationStore({ actions: inputActions, schema: inputSchema, } = {
    schema: (() => ({})),
    actions: (() => ({})),
}) {
    let additionalTasks = [thunks_1.thunks.bootup];
    let { store, schema } = (0, setup_1.setupStore)({
        logs: false,
        additionalTasks,
        inputSchema,
    });
    let inputedActions = inputActions({ thunks: thunks_1.thunks, store, schema });
    let actions = {
        batchUpdater,
        ...inputedActions,
    };
    return {
        store,
        schema,
        actions,
    };
}
exports.createSimulationStore = createSimulationStore;
//# sourceMappingURL=index.js.map